summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Hubbs <williamh@gentoo.org>2017-05-04 17:40:59 -0500
committerWilliam Hubbs <williamh@gentoo.org>2017-05-04 17:42:18 -0500
commitadcc810ebc83e3dbd6ef27017bbab15e01f19d09 (patch)
tree752293a4a2c57336b155d6dd47f39efae2d460b4 /dev-db/cockroach/files
parentnet-im/openfire: bump up to 4.1.4 (diff)
downloadgentoo-adcc810ebc83e3dbd6ef27017bbab15e01f19d09.tar.gz
gentoo-adcc810ebc83e3dbd6ef27017bbab15e01f19d09.tar.bz2
gentoo-adcc810ebc83e3dbd6ef27017bbab15e01f19d09.zip
dev-db/cockroach: new package
This is a scalable open source database. For more information see the home page below. http://www.cockroachlabs.com Package-Manager: Portage-2.3.5, Repoman-2.3.1
Diffstat (limited to 'dev-db/cockroach/files')
-rw-r--r--dev-db/cockroach/files/cockroach-limits.conf4
-rw-r--r--dev-db/cockroach/files/cockroach.confd14
-rw-r--r--dev-db/cockroach/files/cockroach.initd23
3 files changed, 41 insertions, 0 deletions
diff --git a/dev-db/cockroach/files/cockroach-limits.conf b/dev-db/cockroach/files/cockroach-limits.conf
new file mode 100644
index 000000000000..2014a5d508cb
--- /dev/null
+++ b/dev-db/cockroach/files/cockroach-limits.conf
@@ -0,0 +1,4 @@
+# This is needed because cockroach can open a high number of file
+# descriptors
+cockroach soft nofile 35000
+cockroach hard nofile 35000
diff --git a/dev-db/cockroach/files/cockroach.confd b/dev-db/cockroach/files/cockroach.confd
new file mode 100644
index 000000000000..fb9b740aa70f
--- /dev/null
+++ b/dev-db/cockroach/files/cockroach.confd
@@ -0,0 +1,14 @@
+# The default setup is for the first node of an insecure cluster that only
+# listens on localhost.
+# Please read the cockroach manual at the following url and configure
+# the start_args and stop_args correctly if you plan to use cockroach in
+# production.
+#
+# http://cockroachlabs.com/do# cs
+#
+# arguments to use when starting the database
+start_args="--http-host=localhost --host=localhost --insecure
+--store=/var/lib/cockroach/data"
+#
+# arguments to use when stopping the database
+stop_args="--host localhost --insecure"
diff --git a/dev-db/cockroach/files/cockroach.initd b/dev-db/cockroach/files/cockroach.initd
new file mode 100644
index 000000000000..3629cb6605fa
--- /dev/null
+++ b/dev-db/cockroach/files/cockroach.initd
@@ -0,0 +1,23 @@
+#!/sbin/openrc-run
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+command="/usr/bin/cockroach"
+pidfile=/run/cockroach/cockroach.pid
+command_args="start --background --log-dir=/var/log/cockroach
+ --pid-file=\"${pidfile}\" ${start_args}"
+start_stop_daemon_args="--quiet --user cockroach"
+
+depend() {
+ use net
+}
+
+start_pre() {
+ checkpath -d -m 0755 -o cockroach:cockroach $(dirname ${pidfile})
+}
+
+stop() {
+ebegin "bringing down ${RC_SVCNAME}"
+"${command}" quit ${stop_args}
+eend $?
+}